<template>
  <q-dialog v-model="dialogState">
    <q-card>
      <q-card-section class="row items-center q-pb-none">
        <q-space />
        <q-btn icon="close" flat round @click="closeDialog" />
      </q-card-section>

      <q-card-section>
        <div class="text-h6">Confirm Logout</div>
        <div>Are you sure you want to log out?</div>
      </q-card-section>

      <q-card-actions align="right">
        <q-btn flat label="Cancel" color="primary" @click="closeDialog" />
        <q-btn flat label="Logout" color="primary" @click="confirmLogout" />
      </q-card-actions>
    </q-card>
  </q-dialog>
</template>

<script lang="ts">
import { defineComponent, ref, Ref } from 'vue';

export default defineComponent({
  name: 'LogoutDialog',

  props: {
    value: Boolean,
  },
  emits: ['update:value', 'confirm-logout'],
  setup(props, { emit }) {
    const dialogState: Ref<boolean> = ref(props.value);

    const closeDialog = () => {
      emit('update:value', false);
    };

    const confirmLogout = () => {
      // Здесь логика для подтверждения выхода из системы
      emit('confirm-logout');
      closeDialog();
    };

    return {
      dialogState,
      closeDialog,
      confirmLogout,
    };
  },
});
</script>

<style scoped>
/* Стили для LogoutDialog, если необходимы */
</style>
